/**
 * CheckAcount extedinf Account and implementing some interface
 */
public class CheckedAccount extends Account //implements BankAccount
{
    private double minBalance;
    
    public CheckedAccount(double balance, double minBalance) {
        super(balance);
        this.minBalance = minBalance;
    }
    
    public CheckedAccount() {
        this(0,0);
        //super(0);
        //this.minBalance = 0;
    }
    
    public double minBalance() {
        return minBalance;
    }
    
    @Override
    public double withdraw(double amount) {
        if ((getBalance() - amount) >= minBalance) {
            return super.withdraw(amount);
        } else {
            return getBalance();
        }
        /*
        if ((getBalance() - amount) >= minBalance) {
            setBalance(getBalance() - amount);
        }
        return getBalance();
        */
    }

    @Override
    public String toString() {
        return "This is checked account with " + getBalance() + " balance";
    }
}
